# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Apr 19 18:53:05 2023
# ------------------------------------------------

package:
  name: python-lsp-server
  version: 1.7.2
source:
  sha256: b2433467d0fcb8fd45828463ff1cc805837c08731fcea5d7d953d9be776881e1
  url: https://pypi.org/packages/source/p/python-lsp-server/python-lsp-server-1.7.2.tar.gz
build:
  entry_points:
    - pylsp = pylsp.__main__:main
  number: '0'
  script: /croot/python-lsp-server_1681930392028/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - flit-core 3.8.0 py311h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - packaging 23.0 py311h06a4308_0
    - pip 23.0.1 py311h06a4308_0
    - python 3.11.2 h7a1cb2a_0
    - readline 8.2 h5eee18b_0
    - setuptools 66.0.0 py311h06a4308_0
    - setuptools-scm 7.0.4 py311h06a4308_0
    - setuptools_scm 7.0.4 hd3eb1b0_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tomli 2.0.1 py311h06a4308_0
    - typing-extensions 4.4.0 py311h06a4308_0
    - typing_extensions 4.4.0 py311h06a4308_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311h06a4308_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - autopep8 >=1.6.0,<2.1.0
    - docstring-to-markdown
    - flake8 >=5.0.0,<7.0.0
    - jedi >=0.17.2,<0.19.0
    - mccabe >=0.7.0,<0.8.0
    - pluggy >=1.0.0
    - pycodestyle >=2.9.0,<2.11.0
    - pydocstyle >=6.3.0,<6.4.0
    - pyflakes >=2.5.0,<3.1.0
    - pylint >=2.5.0,<3.0.0
    - python >=3.11,<3.12.0a0
    - python-lsp-jsonrpc >=1.0.0
    - rope >=1.2.0
    - setuptools >=39.0.0
    - toml
    - ujson >=3.0.0
    - whatthepatch >=1.0.2,<2.0.0
    - yapf <=0.32.0
test:
  commands:
    - pylsp --help
    - pip check
  imports:
    - pylsp
  requires:
    - pip
about:
  description: 'A Python 3.6+ implementation of the Language Server Protocol

    making use of Jedi, pycodestyle, Pyflakes and YAPF.

    '
  dev_url: https://github.com/python-lsp/python-lsp-server
  doc_url: https://github.com/python-lsp/python-lsp-server/blob/develop/README.md
  home: https://github.com/python-lsp/python-lsp-server
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: An implementation of the Language Server Protocol for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: afee006c-5d86-4bcd-b108-f10c5bb1f387
  recipe-maintainers:
    - andfoy
    - ccordoba12
    - steff456
  remote_url: git@github.com:AnacondaRecipes/python-lsp-server-feedstock.git
  sha: 97a474450defa3d26b97e56acac79676c7b355ae
  skip-lints:
    - python_build_tool_in_run
